# Update a person

`PATCH /api/v1/contacts/{id}`

Only the fields you send change. `is_former: true` marks the person as left (not deleted); `is_main: true` makes them the main contact.

## Path parameters

| Field | Type | Description |
|---|---|---|
| `id` (required) | integer | Person id. |

## Body

| Field | Type | Description |
|---|---|---|
| `name / title / department / phone / email / note` | string | Text fields. |
| `is_main` | boolean | Make main contact. |
| `is_former` | boolean | Left the company. |

## Response

```json 200
{
  "contact": {
    "customer": "Kuzey Plastik Sanayi",
    "customer_id": 31,
    "department": "Üretim",
    "email": "emre.yildiz@kuzeyplastik.com.tr",
    "id": 59,
    "is_former": false,
    "is_main": true,
    "name": "Emre Yıldız",
    "note": "",
    "phone": "+90 532 555 11 22",
    "rid": "0037CJrFvjDFvYX",
    "title": "Fabrika Müdürü",
    "wa": "905325551122"
  },
  "ok": true
}
```
